using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;
using OpenAuth.Repository.Core;
using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    /// <summary>
	/// 系统日志
	/// </summary>
      [SugarTable("sys_log")]
    public partial class SysLog 
    {
        [SugarColumn(IsPrimaryKey = true)]
        public long Id { get; set; }

        /// <summary>
        /// 日志内容
        /// </summary>
        [Description("日志内容")]
        public string Content { get; set; }
        /// <summary>
	    /// 分类名称
	    /// </summary>
         [Description("分类名称")]
        public string TypeName { get; set; }
        /// <summary>
	    /// 分类ID
	    /// </summary>
         [Description("分类ID")]
        public string TypeId { get; set; }
        /// <summary>
	    /// 操作所属模块地址
	    /// </summary>
         [Description("操作所属模块地址")]
        public string Href { get; set; }
        /// <summary>
	    /// 记录时间
	    /// </summary>
         [Description("记录时间")]
        public System.DateTime CreateTime { get; set; }
        /// <summary>
	    /// 操作人ID
	    /// </summary>
         [Description("操作人ID")]
        public long CreateId { get; set; }
        /// <summary>
	    /// 操作人
	    /// </summary>
         [Description("操作人")]
        public string CreateName { get; set; }
        /// <summary>
	    /// 操作机器的IP地址
	    /// </summary>
         [Description("操作机器的IP地址")]
        public string Ip { get; set; }
        /// <summary>
	    /// 操作的结果：0：成功；1：失败；
	    /// </summary>
         [Description("操作的结果：0：成功；1：失败；")]
        public int Result { get; set; }

        public string Application { get; set; }

    }
}